> For the complete documentation index, see [llms.txt](https://docs.getblock.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.getblock.io/api-reference/nem-xem/xem_account_unlock.md).

# /account/unlock {disallowed} - NEM

Example code for the /account/unlock  {disallowed} rest method. Сomplete guide on how to use /account/unlock  {disallowed} rest in GetBlock.io Web3 documentation.

#### Parameters

`privateKey` -

A PrivateKey JSON object. A private key is a key to an account. Anyone having the private key to an account can initiate any account related action. Therefore a private key must be kept secret at all costs.

#### Request

```java
curl --location --request POST 'https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/account/unlock' \
--header 'Content-Type: application/json' \
--data-raw '{"privateKey":{"value":"68e4f79f886927de698df4f857de2aada41ccca6617e56bb0d61623b35b08cc0"}}'
```

#### Response

```java
{
    "result": "null",
    "id": "getblock.io",
    "status_code": 405,
    "message": "Method not allowed"
}
```
